Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionDockWindow Class Reference

The QStyleOptionDockWindow class is used to describe the parameters for drawing various parts of Q3DockWindows. More...

    #include <QStyleOptionDockWindow>

Inherits QStyleOption.

- List of all members, including inherited members

### Read-Only Properties

- closeEnabled : bool
- docked : bool

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionDockWindow ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionDockWindow class is used to describe the parameters for drawing various parts of Q3DockWindows.

This class is used for drawing the old Q3DockWindow and its parts. It is not recommended for new classes.

## Property Documentation

### closeEnabled : bool

This property holds indicates that the dock window has a close button.

### docked : bool

This property holds indicates that the dock window is currently docked.

## Member Function Documentation

### QStyleOptionDockWindow::QStyleOptionDockWindow ()

Constructs a QStyleOptionDockWindow. The members variables are initialized to default values.